MetacatUI - Task #6072

Feature # 5949 (Resolved): Implement advanced search filters in sidebar

Design advanced search features
09/06/2013 09:55 AM - Lauren Walker

Status: Closed Start date: 09/06/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.2.0 Spent time: 0.00 hour
Description

To start with, we will design the Ul for the following advanced search options:

- date range

- author

- search terms

- spatial

- taxonomy

- option to limit results to those with data attached

History

#1 - 09/06/2013 12:32 PM - Lauren Walker
- Tracker changed from Feature to Task

- Parent task set to #5949

#2 - 09/09/2013 04:37 PM - Lauren Walker

- Status changed from In Progress to Feedback

| added a couple advanced search design files to the design directory of datadepot.git that are ready for review

#3 - 09/17/2013 03:13 PM - Lauren Walker

- Status changed from Feedback to In Progress

Need to add a "Clear" button to clear all filters

#4 - 09/19/2013 03:52 PM - Lauren Walker

Change "Refine" to "Filter"

Take away the "Featured data" browse option

Move the 'Most recent' and 'Most accessed' browse options to sort options

Add "Your Collections' to the top of the search filters

Move "Your data' to 'your collections'

Move around the search filters in a more intuitive way

Change 'Author' to 'Creator’

Add checkboxes to the 'year' search filter for both publication date and data coverage date
Get rid of the pencil icon/edit icon for now

#5 - 09/23/2013 02:13 PM - Lauren Walker

- Status changed from In Progress to Feedback

Added a PDF to the design directory of the datadepot project with all these changes incorporated.

#6 - 10/01/2013 01:29 PM - Lauren Walker
- Status changed from Feedback to Closed

- translation missing: en.field_remaining_hours set to 0.0

we are past the design phase and | started an advancedSearch branch of the datadepot project for implementation of the search features
